-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT

-- Changelog

local mod_start_time = core.get_us_time()
core.log("action", "[MOD] yl_scheduler loading")

yl_scheduler = {}
yl_scheduler.error = {}
yl_scheduler.modstorage = core.get_mod_storage()
yl_scheduler.modpath = core.get_modpath("yl_scheduler") .. DIR_DELIM
yl_scheduler.worldpath = core.get_worldpath() .. DIR_DELIM

yl_scheduler.information = {}
yl_scheduler.information.version = "0.0.1"
yl_scheduler.information.author = "AliasAlreadyTaken"
yl_scheduler.information.license = "MIT"
yl_scheduler.information.name = "yl_scheduler"
yl_scheduler.information.source = "https://gitea.your-land.de/your-land/yl_scheduler"
yl_scheduler.information.additional = "Execute tasks based on utc"

dofile(yl_scheduler.modpath .. "config.lua")
dofile(yl_scheduler.modpath .. "setup.lua")
dofile(yl_scheduler.modpath .. "internal.lua")
--dofile(yl_scheduler.modpath .. "api.lua")
dofile(yl_scheduler.modpath .. "initialize.lua")
--dofile(yl_scheduler.modpath .. "globalsteps.lua")
dofile(yl_scheduler.modpath .. "chatcommands.lua")

local mod_end_time = (core.get_us_time() - mod_start_time) / 1000000
core.log("action", "[MOD] yl_scheduler loaded in [" .. mod_end_time .. "s]")
